Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.store
Interface StoreAttributable

All Known Implementing Classes:
  DatabaseStore, NullStore

    public interface StoreAttributable

Provides methods for associating attributes with subsegments and authorities. The attributes are String key/value pairs and can include information such as registration date, username etc.

Author:
  =peacekeeper

Nested Class Summary
`static interface` | `StoreAttributable.Selector` An interface that can select subsegments and authorities by their attributes.

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `getAuthorityAttributes(Authority authority)` Gets attributes from an authority.
`java.lang.String` | `getAuthorityIndex(Authority authority)` Gets the index of the authority.
`java.util.Map<java.lang.String,java.lang.String>` | `getStoreAttributes()` Gets attributes from the store.
`java.util.Map<java.lang.String,java.lang.String>` | `getSubSegmentAttributes(SubSegment subSegment)` Gets attributes from a subsegment.
`java.lang.String` | `getSubSegmentIndex(SubSegment subSegment)` Gets the index of the subsegment.
`Authority[]` | `listAuthoritiesByAttributes(StoreAttributable.Selector selector)` Returns all authorities whose attributes satisfy certain conditions.
`Authority[]` | `listAuthoritiesByAttributeValue(java.lang.String key, java.lang.String value)` Returns all authorities with a certain attribute key/value pair.
`Authority[]` | `listAuthoritiesByIndex(java.lang.String indx)` Returns all authorities with a certain index.
`SubSegment[]` | `listSubSegmentsByAttributes(StoreAttributable.Selector selector)` Returns all subsegments whose attributes satisfy certain conditions.
`SubSegment[]` | `listSubSegmentsByAttributeValue(java.lang.String key, java.lang.String value)` Returns all subsegments whose attributes satisfy certain conditions.
`SubSegment[]` | `listSubSegmentsByIndex(java.lang.String indx)` Returns all subsegments with a certain index.
`void` | `setAuthorityAttributes(Authority authority, java.util.Map<java.lang.String,java.lang.String> attributes)` Associates attributes with an authority.
`void` | `setAuthorityIndex(Authority authority, java.lang.String indx)` Associates an index with an authority.
`void` | `setStoreAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)` Associates attributes with the store.
`void` | `setSubSegmentAttributes(SubSegment subSegment, java.util.Map<java.lang.String,java.lang.String> attributes)` Associates attributes with a subsegment.
`void` | `setSubSegmentIndex(SubSegment subSegment, java.lang.String indx)` Associates an index with a subsegment.

Method Detail

### setStoreAttributes

    void setStoreAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)
                            throws StoreException

  Associates attributes with the store.

  Parameters:
    `attributes` - The attributes.
  Throws:
    `StoreException`

### getStoreAttributes

    java.util.Map<java.lang.String,java.lang.String> getStoreAttributes()
                                                                        throws StoreException

  Gets attributes from the store.

  Returns:
    The attributes, or null.
  Throws:
    `StoreException`

### setAuthorityAttributes

    void setAuthorityAttributes(Authority authority,
                                java.util.Map<java.lang.String,java.lang.String> attributes)
                                throws StoreException

  Associates attributes with an authority.

  Parameters:
    `authority` - The authority.
    `attributes` - The attributes.
  Throws:
    `StoreException`

### getAuthorityAttributes

    java.util.Map<java.lang.String,java.lang.String> getAuthorityAttributes(Authority authority)
                                                                            throws StoreException

  Gets attributes from an authority.

  Parameters:
    `authority` - The authority.
  Returns:
    The attributes, or null.
  Throws:
    `StoreException`

### setAuthorityIndex

    void setAuthorityIndex(Authority authority,
                           java.lang.String indx)
                           throws StoreException

  Associates an index with an authority.

  Parameters:
    `authority` - The authority.
    `indx` - The index for the authority.
  Throws:
    `StoreException`

### getAuthorityIndex

    java.lang.String getAuthorityIndex(Authority authority)
                                       throws StoreException

  Gets the index of the authority.

  Parameters:
    `subSegment` - The authority.
  Throws:
    `StoreException`

### setSubSegmentAttributes

    void setSubSegmentAttributes(SubSegment subSegment,
                                 java.util.Map<java.lang.String,java.lang.String> attributes)
                                 throws StoreException

  Associates attributes with a subsegment.

  Parameters:
    `subSegment` - The subsegment.
    `attributes` - The attributes.
  Throws:
    `StoreException`

### getSubSegmentAttributes

    java.util.Map<java.lang.String,java.lang.String> getSubSegmentAttributes(SubSegment subSegment)
                                                                             throws StoreException

  Gets attributes from a subsegment.

  Parameters:
    `subSegment` - The subsegment.
  Returns:
    The attributes, or null.
  Throws:
    `StoreException`

### setSubSegmentIndex

    void setSubSegmentIndex(SubSegment subSegment,
                            java.lang.String indx)
                            throws StoreException

  Associates an index with a subsegment.

  Parameters:
    `subSegment` - The subsegment.
    `indx` - The index for the subsegment.
  Throws:
    `StoreException`

### getSubSegmentIndex

    java.lang.String getSubSegmentIndex(SubSegment subSegment)
                                        throws StoreException

  Gets the index of the subsegment.

  Parameters:
    `subSegment` - The subsegment.
  Throws:
    `StoreException`

### listAuthoritiesByAttributes

    Authority[] listAuthoritiesByAttributes(StoreAttributable.Selector selector)
                                            throws StoreException

  Returns all authorities whose attributes satisfy certain conditions.

  Parameters:
    `selector` - An object that can select authorities based on their attributes.
  Returns:
    An array of authorities.
  Throws:
    `StoreException`

### listSubSegmentsByAttributes

    SubSegment[] listSubSegmentsByAttributes(StoreAttributable.Selector selector)
                                             throws StoreException

  Returns all subsegments whose attributes satisfy certain conditions.

  Parameters:
    `selector` - An object that can select authorities based on their attributes.
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

### listAuthoritiesByAttributeValue

    Authority[] listAuthoritiesByAttributeValue(java.lang.String key,
                                                java.lang.String value)
                                                throws StoreException

  Returns all authorities with a certain attribute key/value pair.

  Parameters:
    `key` - An attribute key.
    `value` - An attribute value.
  Returns:
    An array of authorities.
  Throws:
    `StoreException`

### listSubSegmentsByAttributeValue

    SubSegment[] listSubSegmentsByAttributeValue(java.lang.String key,
                                                 java.lang.String value)
                                                 throws StoreException

  Returns all subsegments whose attributes satisfy certain conditions.

  Parameters:
    `key` - An attribute key.
    `value` - An attribute value.
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

### listAuthoritiesByIndex

    Authority[] listAuthoritiesByIndex(java.lang.String indx)
                                       throws StoreException

  Returns all authorities with a certain index.

  Parameters:
    `indx` - The index to look for.
  Returns:
    An array of authorities.
  Throws:
    `StoreException`

### listSubSegmentsByIndex

    SubSegment[] listSubSegmentsByIndex(java.lang.String indx)
                                        throws StoreException

  Returns all subsegments with a certain index.

  Parameters:
    `indx` - The index to look for.
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.